CREATE DATABASE  IF NOT EXISTS `fla` /*!40100 DEFAULT CHARACTER SET utf8 */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `fla`;
-- MySQL dump 10.13  Distrib 8.0.22, for Win64 (x86_64)
--
-- Host: localhost    Database: fla
-- ------------------------------------------------------
-- Server version	8.0.22

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `actividades`
--

DROP TABLE IF EXISTS `actividades`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `actividades` (
  `id_actividad` int NOT NULL AUTO_INCREMENT,
  `descripción` varchar(60) NOT NULL,
  `fecha_ult_mod` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_actividad`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `actividades`
--

LOCK TABLES `actividades` WRITE;
/*!40000 ALTER TABLE `actividades` DISABLE KEYS */;
INSERT INTO `actividades` VALUES (0,'General','2021-04-26 10:07:07'),(1,'Pintor','2021-04-26 10:07:07'),(2,'Autor','2021-04-26 10:07:07'),(3,'Editor','2021-04-26 10:07:07'),(4,'Contable','2021-04-26 10:07:07'),(5,'Médico','2021-04-26 10:07:07');
/*!40000 ALTER TABLE `actividades` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `amortizables`
--

DROP TABLE IF EXISTS `amortizables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `amortizables` (
  `id_g_amortizable` int NOT NULL AUTO_INCREMENT,
  `imp_amortizable` decimal(9,2) NOT NULL,
  `porc_iva` decimal(5,2) NOT NULL,
  `períodos_amort` tinyint NOT NULL,
  `fecha_ult_mod` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `gastos_id_gasto` int NOT NULL,
  PRIMARY KEY (`id_g_amortizable`),
  KEY `fk_amortizables_gastos1_idx` (`gastos_id_gasto`),
  CONSTRAINT `fk_amortizables_gastos1` FOREIGN KEY (`gastos_id_gasto`) REFERENCES `gastos` (`id_gasto`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `amortizables`
--

LOCK TABLES `amortizables` WRITE;
/*!40000 ALTER TABLE `amortizables` DISABLE KEYS */;
INSERT INTO `amortizables` VALUES (1,1500.00,21.00,5,'2021-04-26 17:38:49',83);
/*!40000 ALTER TABLE `amortizables` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `calendario`
--

DROP TABLE IF EXISTS `calendario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `calendario` (
  `año` smallint NOT NULL,
  `trimestre` smallint NOT NULL,
  `cod_impuesto` smallint NOT NULL,
  `fecha_vto` datetime NOT NULL,
  `fecha_ult_mod` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`año`,`trimestre`,`cod_impuesto`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `calendario`
--

LOCK TABLES `calendario` WRITE;
/*!40000 ALTER TABLE `calendario` DISABLE KEYS */;
INSERT INTO `calendario` VALUES (2021,1,130,'2021-04-20 00:00:00','2021-04-26 10:27:35'),(2021,1,303,'2021-04-20 00:00:00','2021-04-26 10:27:35'),(2021,2,130,'2021-07-20 00:00:00','2021-04-26 10:27:35'),(2021,2,303,'2021-07-20 00:00:00','2021-04-26 10:27:35'),(2021,3,130,'2021-10-20 00:00:00','2021-04-26 10:27:35'),(2021,3,303,'2021-10-20 00:00:00','2021-04-26 10:27:35'),(2021,4,100,'2022-06-20 00:00:00','2021-04-26 10:27:35'),(2021,4,130,'2022-01-20 00:00:00','2021-04-26 10:27:35'),(2021,4,303,'2022-01-20 00:00:00','2021-04-26 10:27:35');
/*!40000 ALTER TABLE `calendario` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `corrientes`
--

DROP TABLE IF EXISTS `corrientes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `corrientes` (
  `id_g_corriente` int NOT NULL AUTO_INCREMENT,
  `imp_bruto` decimal(9,2) NOT NULL,
  `porc_iva` decimal(5,2) NOT NULL,
  `fecha_ult_mod` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `gastos_id_gasto` int NOT NULL,
  PRIMARY KEY (`id_g_corriente`),
  KEY `fk_Corrientes_gastos1_idx` (`gastos_id_gasto`),
  CONSTRAINT `fk_Corrientes_gastos1` FOREIGN KEY (`gastos_id_gasto`) REFERENCES `gastos` (`id_gasto`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `corrientes`
--

LOCK TABLES `corrientes` WRITE;
/*!40000 ALTER TABLE `corrientes` DISABLE KEYS */;
INSERT INTO `corrientes` VALUES (1,500.00,21.00,'2021-04-26 17:35:45',52),(2,450.00,0.00,'2021-04-26 17:35:45',71),(3,450.00,0.00,'2021-04-26 17:35:45',72),(4,60.00,21.00,'2021-04-26 17:35:45',73),(5,450.00,0.00,'2021-04-26 17:35:45',74),(6,450.00,0.00,'2021-04-26 17:35:45',75),(7,35.00,21.00,'2021-04-26 17:35:45',76),(8,120.00,21.00,'2021-04-26 17:35:45',77),(9,45.00,21.00,'2021-04-26 17:35:45',78),(10,450.00,0.00,'2021-04-26 17:35:45',79),(11,450.00,0.00,'2021-04-26 17:35:45',80),(12,35.00,21.00,'2021-04-26 17:35:45',81),(13,75.00,21.00,'2021-04-26 17:35:45',82),(14,450.00,0.00,'2021-04-26 17:35:45',84),(15,450.00,0.00,'2021-04-26 17:35:45',85);
/*!40000 ALTER TABLE `corrientes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `detalle_amortizaciones`
--

DROP TABLE IF EXISTS `detalle_amortizaciones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `detalle_amortizaciones` (
  `id_d_amortizaciones` int NOT NULL AUTO_INCREMENT,
  `fecha_amortización` datetime NOT NULL,
  `imp_amortizado` decimal(9,2) NOT NULL,
  `fecha_ult_mod` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `amortizables_id_g_amortizable` int NOT NULL,
  PRIMARY KEY (`id_d_amortizaciones`),
  KEY `fk_detalle_amortizaciones_amortizables1_idx` (`amortizables_id_g_amortizable`),
  CONSTRAINT `fk_detalle_amortizaciones_amortizables1` FOREIGN KEY (`amortizables_id_g_amortizable`) REFERENCES `amortizables` (`id_g_amortizable`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `detalle_amortizaciones`
--

LOCK TABLES `detalle_amortizaciones` WRITE;
/*!40000 ALTER TABLE `detalle_amortizaciones` DISABLE KEYS */;
INSERT INTO `detalle_amortizaciones` VALUES (1,'2021-12-31 00:00:00',225.00,'2021-04-26 18:24:08',1),(2,'2022-12-31 00:00:00',300.00,'2021-04-26 18:24:08',1),(3,'2023-12-31 00:00:00',300.00,'2021-04-26 18:24:08',1),(4,'2024-12-31 00:00:00',300.00,'2021-04-26 18:24:08',1),(5,'2025-12-31 00:00:00',300.00,'2021-04-26 18:24:08',1),(6,'2026-12-31 00:00:00',75.00,'2021-04-26 18:24:08',1);
/*!40000 ALTER TABLE `detalle_amortizaciones` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `empresas`
--

DROP TABLE IF EXISTS `empresas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `empresas` (
  `id_empresa` int NOT NULL AUTO_INCREMENT,
  `nombre` varchar(60) NOT NULL,
  `nif` varchar(20) NOT NULL,
  `dirección` varchar(60) NOT NULL,
  `fecha_ult_mod` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_empresa`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `empresas`
--

LOCK TABLES `empresas` WRITE;
/*!40000 ALTER TABLE `empresas` DISABLE KEYS */;
INSERT INTO `empresas` VALUES (1,'Papelería García','00000999B','c/Mayor, 10, Lleida','2021-04-26 10:35:51'),(2,'MicroSoftware','99999999A','Chelsea St. 30, London, UK','2021-04-26 10:35:51'),(3,'Print House','888888888B','c/Principal, 20, México','2021-04-26 10:35:51'),(4,'A.C.T Computers','77777777C','c/Castillejos, 30, Madrid','2021-04-26 10:35:51'),(5,'River Construcciones','66666666F','c/Valencia, 88, Sevilla','2021-04-26 10:35:51'),(6,'Santos Pérez, Juan','22222222K','c/Santa Cruz, 40, Salamanca','2021-04-26 12:05:09'),(7,'El Corte Francés','ER1324562A','Paseo de Gracia, 302, Barcelona','2021-04-26 16:40:52'),(8,'Librería Don Juan','55555666B','avda. Callao, 120, Madrid','2021-04-26 16:40:52'),(9,'Ferretería El Tornillo','12345678K','Plaza del Sol, 412, Madrid','2021-04-26 16:40:52'),(10,'Seguridad Social','00000111A','c/San Juan, 200, Madrid','2021-04-26 16:40:52'),(11,'Empresa de Energía','11111111F','Plaza Tetuán, 30, Barcenona','2021-04-26 16:40:52');
/*!40000 ALTER TABLE `empresas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gastos`
--

DROP TABLE IF EXISTS `gastos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gastos` (
  `id_gasto` int NOT NULL AUTO_INCREMENT,
  `nro_factura` int NOT NULL,
  `fecha_gasto` datetime NOT NULL,
  `descripción` varchar(200) NOT NULL,
  `imputación_ctble` tinyint NOT NULL,
  `fecha_pago` datetime DEFAULT NULL,
  `dni` varchar(10) NOT NULL,
  `id_actividad` int NOT NULL,
  `id_empresa` int NOT NULL,
  `fecha_ult_mod` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_gasto`),
  KEY `fk_gastos_usuario_actividad1_idx` (`dni`,`id_actividad`),
  KEY `fk_gastos_empresas1_idx` (`id_empresa`),
  CONSTRAINT `fk_gastos_empresas1` FOREIGN KEY (`id_empresa`) REFERENCES `empresas` (`id_empresa`) ON UPDATE CASCADE,
  CONSTRAINT `fk_gastos_usuario_actividad1` FOREIGN KEY (`dni`, `id_actividad`) REFERENCES `usuario_actividad` (`dni`, `id_actividad`) ON UPDATE CASCADE,
  CONSTRAINT `gastos_chk_1` CHECK ((`imputación_ctble` < 6))
) ENGINE=InnoDB AUTO_INCREMENT=86 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gastos`
--

LOCK TABLES `gastos` WRITE;
/*!40000 ALTER TABLE `gastos` DISABLE KEYS */;
INSERT INTO `gastos` VALUES (52,15,'2021-02-01 00:00:00','40 litros de pintura',2,'2121-02-01 00:00:00','33333333J',1,9,'2021-04-26 17:11:20'),(70,1,'2021-01-31 00:00:00','Cuota autónomos',4,'2021-01-31 00:00:00','33333333J',0,10,'2021-04-26 17:15:26'),(71,2,'2021-02-28 00:00:00','Cuota autónomos',4,'2021-02-28 00:00:00','33333333J',0,10,'2021-04-26 17:15:26'),(72,27,'2021-03-01 00:00:00','pinceles',2,'2021-03-02 00:00:00','33333333J',1,9,'2021-04-26 17:15:26'),(73,55,'2021-02-10 00:00:00','papelería',2,'2021-02-10 00:00:00','44444444K',2,8,'2021-04-26 17:15:26'),(74,1,'2021-01-31 00:00:00','Cuota autónomos',4,'2021-01-31 00:00:00','44444444K',0,10,'2021-04-26 17:15:26'),(75,2,'2021-02-28 00:00:00','Cuota autónomos',4,'2021-02-28 00:00:00','44444444K',0,10,'2021-04-26 17:15:26'),(76,33,'2021-03-05 00:00:00','tinta de impresora',2,'2021-03-05 00:00:00','44444444K',2,8,'2021-04-26 17:15:26'),(77,35,'2021-03-10 00:00:00','barniz y pinceles',2,'2021-03-10 00:00:00','50000000J',1,9,'2021-04-26 17:15:26'),(78,600,'2021-03-15 00:00:00','luz',1,'2021-03-15 00:00:00','50000000J',1,11,'2021-04-26 17:15:26'),(79,1,'2021-01-31 00:00:00','Cuota autónomos',4,'2021-01-31 00:00:00','50000000J',0,10,'2021-04-26 17:15:26'),(80,2,'2021-02-28 00:00:00','Cuota autónomos',4,'2021-02-28 00:00:00','50000000J',0,10,'2021-04-26 17:15:26'),(81,210,'2021-02-05 00:00:00','pen drive',2,'2021-02-05 00:00:00','55555555J',5,7,'2021-04-26 17:15:26'),(82,108,'2021-02-07 00:00:00','material escritorio',2,'2021-02-07 00:00:00','55555555J',5,8,'2021-04-26 17:15:26'),(83,107,'2021-02-28 00:00:00','ordenador',5,NULL,'55555555J',5,7,'2021-04-26 17:15:26'),(84,1,'2021-01-31 00:00:00','Cuota autónomos',4,'2021-01-31 00:00:00','55555555J',0,10,'2021-04-26 17:15:26'),(85,2,'2021-02-28 00:00:00','Cuota autónomos',4,'2021-02-28 00:00:00','55555555J',0,10,'2021-04-26 17:15:26');
/*!40000 ALTER TABLE `gastos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ingresos`
--

DROP TABLE IF EXISTS `ingresos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ingresos` (
  `id_ingreso` int NOT NULL AUTO_INCREMENT,
  `nro_factura` int NOT NULL,
  `fecha_factura` datetime NOT NULL,
  `descripción` varchar(200) NOT NULL,
  `imp_bruto` decimal(9,2) NOT NULL,
  `porc_retención` decimal(5,2) DEFAULT '0.00',
  `porc_iva` decimal(5,2) DEFAULT '0.00',
  `fecha_cobro` datetime DEFAULT NULL,
  `dni` varchar(10) NOT NULL,
  `id_actividad` int NOT NULL,
  `id_empresa` int NOT NULL,
  `fecha_ult_mod` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_ingreso`),
  KEY `fk_ingresos_usuario_actividad1_idx` (`dni`,`id_actividad`),
  KEY `fk_ingresos_empresas1_idx` (`id_empresa`),
  CONSTRAINT `fk_ingresos_empresas1` FOREIGN KEY (`id_empresa`) REFERENCES `empresas` (`id_empresa`) ON UPDATE CASCADE,
  CONSTRAINT `fk_ingresos_usuario_actividad1` FOREIGN KEY (`dni`, `id_actividad`) REFERENCES `usuario_actividad` (`dni`, `id_actividad`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ingresos`
--

LOCK TABLES `ingresos` WRITE;
/*!40000 ALTER TABLE `ingresos` DISABLE KEYS */;
INSERT INTO `ingresos` VALUES (13,1,'2021-03-01 00:00:00','pintura de piso',3400.00,0.00,21.00,NULL,'33333333J',1,5,'2021-04-26 12:05:18'),(14,2,'2021-04-01 00:00:00','pintura de habitación',400.00,0.00,21.00,NULL,'33333333J',1,1,'2021-04-26 12:05:18'),(15,102,'2021-03-10 00:00:00','derechos de autor',200.00,0.00,0.00,NULL,'44444444K',2,3,'2021-04-26 12:05:18'),(16,103,'2021-03-15 00:00:00','venta de libros',1050.00,0.00,4.00,NULL,'44444444K',2,2,'2021-04-26 12:05:18'),(17,5,'2021-03-20 00:00:00','barnizado puerta',300.00,0.00,21.00,NULL,'50000000J',1,1,'2021-04-26 12:05:18'),(18,20,'2021-02-15 00:00:00','consulta',100.00,0.00,21.00,NULL,'55555555J',5,6,'2021-04-26 12:05:18');
/*!40000 ALTER TABLE `ingresos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `liquidaciones`
--

DROP TABLE IF EXISTS `liquidaciones`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `liquidaciones` (
  `id_liquidación` int NOT NULL AUTO_INCREMENT,
  `fecha_presentación` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `importe` decimal(9,2) NOT NULL,
  `dni` varchar(10) NOT NULL,
  `año` smallint NOT NULL,
  `trimestre` smallint NOT NULL,
  `cod_impuesto` smallint NOT NULL,
  `fecha_ult_mod` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_liquidación`),
  KEY `fk_liquidaciones_usuarios1_idx` (`dni`),
  KEY `fk_liquidaciones_calendario1_idx` (`año`,`trimestre`,`cod_impuesto`),
  CONSTRAINT `fk_liquidaciones_calendario1` FOREIGN KEY (`año`, `trimestre`, `cod_impuesto`) REFERENCES `calendario` (`año`, `trimestre`, `cod_impuesto`) ON UPDATE CASCADE,
  CONSTRAINT `fk_liquidaciones_usuarios1` FOREIGN KEY (`dni`) REFERENCES `usuarios` (`dni`) ON UPDATE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `liquidaciones`
--

LOCK TABLES `liquidaciones` WRITE;
/*!40000 ALTER TABLE `liquidaciones` DISABLE KEYS */;
INSERT INTO `liquidaciones` VALUES (1,'2021-04-05 00:00:00',237.50,'33333333J',2021,1,130,'2021-04-26 17:46:02'),(2,'2021-04-05 00:00:00',-25.00,'33333333J',2021,1,303,'2021-04-26 17:46:02'),(3,'2021-04-15 00:00:00',-100.40,'44444444K',2021,1,130,'2021-04-26 17:46:02'),(4,'2021-04-15 00:00:00',0.50,'44444444K',2021,1,303,'2021-04-26 17:46:02'),(5,'2021-04-19 00:00:00',155.00,'50000000J',2021,1,130,'2021-04-26 17:46:02'),(6,'2021-04-19 00:00:00',35.00,'50000000J',2021,1,303,'2021-04-26 17:46:02'),(7,'2021-04-20 00:00:00',650.67,'55555555J',2021,1,130,'2021-04-26 17:46:02'),(8,'2021-04-20 00:00:00',125.00,'55555555J',2021,1,303,'2021-04-26 17:46:02');
/*!40000 ALTER TABLE `liquidaciones` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuario_actividad`
--

DROP TABLE IF EXISTS `usuario_actividad`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `usuario_actividad` (
  `dni` varchar(10) NOT NULL,
  `id_actividad` int NOT NULL,
  `fecha-ult_mod` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`dni`,`id_actividad`),
  KEY `fk_usuario_actividad_usuarios_idx` (`dni`),
  KEY `fk_usuario_actividad_actividades1_idx` (`id_actividad`),
  CONSTRAINT `fk_usuario_actividad_actividades1` FOREIGN KEY (`id_actividad`) REFERENCES `actividades` (`id_actividad`) ON UPDATE CASCADE,
  CONSTRAINT `fk_usuario_actividad_usuarios` FOREIGN KEY (`dni`) REFERENCES `usuarios` (`dni`) ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuario_actividad`
--

LOCK TABLES `usuario_actividad` WRITE;
/*!40000 ALTER TABLE `usuario_actividad` DISABLE KEYS */;
INSERT INTO `usuario_actividad` VALUES ('33333333J',0,'2021-04-26 10:44:46'),('33333333J',1,'2021-04-26 10:44:46'),('44444444K',0,'2021-04-26 10:44:46'),('44444444K',2,'2021-04-26 10:44:46'),('44444444K',3,'2021-04-26 10:44:46'),('50000000J',0,'2021-04-26 10:44:46'),('50000000J',1,'2021-04-26 10:44:46'),('55555555J',0,'2021-04-26 10:44:46'),('55555555J',2,'2021-04-26 10:44:46'),('55555555J',5,'2021-04-26 10:44:46');
/*!40000 ALTER TABLE `usuario_actividad` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuarios`
--

DROP TABLE IF EXISTS `usuarios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `usuarios` (
  `dni` varchar(10) NOT NULL,
  `nombres` varchar(60) NOT NULL,
  `apellidos` varchar(60) NOT NULL,
  `fecha_nac` datetime NOT NULL,
  `dirección` varchar(60) NOT NULL,
  `email` varchar(60) NOT NULL,
  `fecha_ult_mod` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`dni`),
  KEY `idx_apellidos` (`apellidos`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuarios`
--

LOCK TABLES `usuarios` WRITE;
/*!40000 ALTER TABLE `usuarios` DISABLE KEYS */;
INSERT INTO `usuarios` VALUES ('33333333J','Juan','Salas Campos','1995-01-01 00:00:00','c/Monserrat, 140, Girona','j.salascampos@miemail.com','2021-04-26 10:19:51'),('44444444K','Elsa','Pintos','1990-08-01 00:00:00','Avda. Diagonal, 20, Barcelona','e.pintos@miemail.com','2021-04-26 10:19:51'),('50000000J','Carlos','Díaz Fuentes','2001-03-03 00:00:00','c/Verdi, 2, Castelldefels','carlos.diaz@miemail.com','2021-04-26 10:19:51'),('55555555J','Laia','Sants Font','1997-01-01 00:00:00','c/Bagur, 30, Tarragona','l.sants@miemail.com','2021-04-26 10:19:51');
/*!40000 ALTER TABLE `usuarios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping events for database 'fla'
--

--
-- Dumping routines for database 'fla'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-04-30  8:56:34
